Freeciv-3.1: packet_ruleset_specialist Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_specialist Struct Reference

`#include <packets_gen.h>`

## Data Fields

Specialist_type_id | id
char | plural_name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | short_name [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
int | reqs_count
struct requirement | reqs [MAX_NUM_REQS]
char | helptext [MAX_LEN_PACKET]

## Detailed Description

Definition at line 1060 of file packets_gen.h.

## Field Documentation

## ◆ graphic_alt

char packet_ruleset_specialist::graphic_alt[MAX_LEN_NAME]

Definition at line 1066 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ graphic_str

char packet_ruleset_specialist::graphic_str[MAX_LEN_NAME]

Definition at line 1065 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ helptext

char packet_ruleset_specialist::helptext[MAX_LEN_PACKET]

Definition at line 1069 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ id

Specialist_type_id packet_ruleset_specialist::id

Definition at line 1061 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ plural_name

char packet_ruleset_specialist::plural_name[MAX_LEN_NAME]

Definition at line 1062 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ reqs

struct requirement packet_ruleset_specialist::reqs[MAX_NUM_REQS]

Definition at line 1068 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ reqs_count

int packet_ruleset_specialist::reqs_count

Definition at line 1067 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ rule_name

char packet_ruleset_specialist::rule_name[MAX_LEN_NAME]

Definition at line 1063 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ short_name

char packet_ruleset_specialist::short_name[MAX_LEN_NAME]

Definition at line 1064 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().